Skip to main content
GET
/
api
/
apps
/
{id}
/
params
Get configurable parameters for an app.
curl --request GET \
  --url https://api.rigbox.dev/api/apps/{id}/params \
  --header 'Authorization: Bearer <token>'
{
  "specs": [
    {
      "key": "<string>",
      "label": "<string>",
      "param_type": "string",
      "default": "<string>",
      "description": "<string>",
      "group": "<string>",
      "help_url": "<string>",
      "options": [
        {
          "label": "<string>",
          "value": "<string>"
        }
      ],
      "order": 123,
      "required": true,
      "sensitive": true,
      "validation_pattern": "<string>"
    }
  ],
  "values": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

App ID

Response

200 - application/json

App params

specs
object[]
required

The parameter schema (snapshotted at creation time).

values
object
required

Current values (from metadata.config). Sensitive values are masked.